org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacyTabbedPropertySheetPage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
    - - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacyTabbedPropertySheetPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.viewers.ILabelProviderListener, org.eclipse.ui.ISelectionListener, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.properties.IPropertySheetPage

    public class LegacyTabbedPropertySheetPage
    extends org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage

Wraps an `EEFTabbedPropertySheetPage` to a `TabbedPropertySheetPage`.

### Field Summary

### Fields inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage

`tabListContentProvider`

### Constructor Summary

Constructors
Constructor and Description
`LegacyTabbedPropertySheetPage(EEFTabbedPropertySheetPage eefTabbedPropertySheetPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener listener)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`org.eclipse.ui.views.properties.tabbed.ITabDescriptor[]` `getActiveTabs()`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.ui.views.properties.tabbed.TabContents` `getCurrentTab()`
`org.eclipse.ui.views.properties.tabbed.ITabDescriptor` `getSelectedTab()`
`org.eclipse.ui.part.IPageSite` `getSite()`
`org.eclipse.swt.graphics.Image` `getTitleImage(org.eclipse.jface.viewers.ISelection selection)`
`java.lang.String` `getTitleText(org.eclipse.jface.viewers.ISelection selection)`
`org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory` `getWidgetFactory()`
`void` `labelProviderChanged(org.eclipse.jface.viewers.LabelProviderChangedEvent event)`
`void` `overrideTabs()`
`void` `refresh()`
`void` `removeTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener listener)`
`void` `resizeScrolledComposite()`
`void` `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActionBars(org.eclipse.ui.IActionBars actionBars)`
`void` `setFocus()`
`void` `setSelectedTab(java.lang.String id)`

### Methods inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage

`createTab, disposeContributor, disposeTabs, getCurrentContributorId, getCurrentSelection, getSelectionContributor, getTabContents, getTabListContentProvider, handlePartActivated, updateTabs`

### Methods inherited from class org.eclipse.ui.part.Page

`init, makeContributions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyTabbedPropertySheetPage

    public LegacyTabbedPropertySheetPage(EEFTabbedPropertySheetPage eefTabbedPropertySheetPage)

The constructor.

Parameters:
  `eefTabbedPropertySheetPage` - EEF tabbed property sheet page

### Method Detail

#### addTabSelectionListener

    public void addTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener listener)

Overrides:
  `addTabSelectionListener` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.addTabSelectionListener(ITabSelectionListener)`

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createControl` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `createControl` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.createControl(Composite)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `dispose` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.dispose()`

#### getActiveTabs

    public org.eclipse.ui.views.properties.tabbed.ITabDescriptor[] getActiveTabs()

Overrides:
  `getActiveTabs` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getActiveTabs()`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `getControl` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getControl()`

#### getCurrentTab

    public org.eclipse.ui.views.properties.tabbed.TabContents getCurrentTab()

Overrides:
  `getCurrentTab` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getCurrentTab()`

#### getSelectedTab

    public org.eclipse.ui.views.properties.tabbed.ITabDescriptor getSelectedTab()

Overrides:
  `getSelectedTab` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getSelectedTab()`

#### getTitleImage

    public org.eclipse.swt.graphics.Image getTitleImage(org.eclipse.jface.viewers.ISelection selection)

Overrides:
  `getTitleImage` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getTitleImage(ISelection)`

#### getTitleText

    public java.lang.String getTitleText(org.eclipse.jface.viewers.ISelection selection)

Overrides:
  `getTitleText` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getTitleText(ISelection)`

#### getWidgetFactory

    public org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory getWidgetFactory()

Overrides:
  `getWidgetFactory` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.getWidgetFactory()`

#### labelProviderChanged

    public void labelProviderChanged(org.eclipse.jface.viewers.LabelProviderChangedEvent event)

Specified by:
  `labelProviderChanged` in interface `org.eclipse.jface.viewers.ILabelProviderListener`
Overrides:
  `labelProviderChanged` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.labelProviderChanged(LabelProviderChangedEvent)`

#### overrideTabs

    public void overrideTabs()

Overrides:
  `overrideTabs` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.overrideTabs()`

#### refresh

    public void refresh()

Overrides:
  `refresh` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.refresh()`

#### removeTabSelectionListener

    public void removeTabSelectionListener(org.eclipse.ui.views.properties.tabbed.ITabSelectionListener listener)

Overrides:
  `removeTabSelectionListener` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.removeTabSelectionListener(ITabSelectionListener)`

#### resizeScrolledComposite

    public void resizeScrolledComposite()

Overrides:
  `resizeScrolledComposite` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.resizeScrolledComposite()`

#### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`
Overrides:
  `selectionChanged` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.selectionChanged(IWorkbenchPart, ISelection)`

#### setActionBars

    public void setActionBars(org.eclipse.ui.IActionBars actionBars)

Specified by:
  `setActionBars` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `setActionBars` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.setActionBars(IActionBars)`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `setFocus` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.setFocus()`

#### setSelectedTab

    public void setSelectedTab(java.lang.String id)

Overrides:
  `setSelectedTab` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
See Also:
  `TabbedPropertySheetPage.setSelectedTab(String)`

#### getSite

    public org.eclipse.ui.part.IPageSite getSite()

Specified by:
  `getSite` in interface `org.eclipse.ui.part.IPageBookViewPage`
Overrides:
  `getSite` in class `org.eclipse.ui.part.Page`
See Also:
  `Page.getSite()`